program define mlbeta, rclass

	version 7
	syntax varlist [if][in] [,DIspersion(varlist)] [,Robust]
	tokenize `varlist'
	local lhs "`1'"
	mac shift
	local rhs "`*'"
	ml model lf mlbeta_ll (`lhs'=`rhs') (`dispersion') `if' `in', `robust'
	ml search
	ml maximize
	tempvar error 
	quietly { 
		predict `error' if e(sample) 
		replace `error' = exp(`error')/(1+exp(`error'))
		replace `error' = (`lhs' - `error')^2
		su `error', meanonly 
	} 
	display in green _n "Mean squared error:" in yellow `r(mean)' 
end
