program define mlbeta_ll
	version 7
	args lnf theta1 theta2
	tempvar alpha beta mean var phi

	quietly generate double `mean' = exp(`theta1')/(1+exp(`theta1'))
	quietly generate double `phi' = exp(`theta2')
	quietly generate double `var' = `mean'*(1-`mean')/(`phi'+1)

	quietly generate double `alpha' = (`mean'^2)*(1-`mean')/`var'-`mean'
	quietly generate double `beta' = `mean'*(1-`mean')^2/`var'-(1-`mean')

	quietly replace `lnf' = lngamma(`alpha'+`beta')-(lngamma(`alpha')+lngamma(`beta'))+(`alpha'-1)*ln($ML_y1)+(`beta'-1)*ln(1-$ML_y1)

end
